uniform float timer;
uniform sampler2D tex;

vec4 gettexel()
{
	vec2 texCoord = gl_TexCoord[0].st;

	const float pi = 3.14159265358979323846;
	vec2 offset = vec2(0,0);

	float siny = sin(pi * 10.0 * (texCoord.y * 1.0 + timer / 2.0 * 0.45)) * 0.03;
	offset.y = siny + sin(pi * 10.0 * (texCoord.x * 1.0 + timer / 2.0 * 0.75)) * 0.03;
	offset.x = siny + sin(pi * 10.0 * (texCoord.x * 1.0 + timer / 2.0 * 0.45)) * 0.02;

	texCoord += offset;
	return texture2D(tex, texCoord);
}
